"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getContext = (override) => Object.assign({
    payload: {
        action: '',
    },
    eventName: '',
    sha: '',
    ref: '',
    workflow: '',
    action: '',
    actor: '',
    issue: {
        owner: '',
        repo: '',
        number: 1,
    },
    repo: {
        owner: '',
        repo: '',
    },
}, override);
exports.generateContext = (settings, override) => exports.getContext(Object.assign({
    eventName: settings.event ? settings.event : '',
    payload: {
        action: settings.action ? settings.action : '',
    },
    ref: settings.ref ? `refs/${settings.ref}` : '',
    sha: settings.sha ? settings.sha : '',
    issue: {
        owner: settings.owner ? settings.owner : '',
        repo: settings.repo ? settings.repo : '',
    },
    repo: {
        owner: settings.owner ? settings.owner : '',
        repo: settings.repo ? settings.repo : '',
    },
}, override || {}));
exports.createResponse = (data, override = {}) => Object.assign({
    data,
    status: 0,
    headers: {
        date: '',
        'x-ratelimit-limit': '',
        'x-ratelimit-remaining': '',
        'x-ratelimit-reset': '',
        'x-Octokit-request-id': '',
        'x-Octokit-media-type': '',
        link: '',
        'last-modified': '',
        etag: '',
        status: '',
    },
    [Symbol.iterator]() {
        return {
            next() {
                return {
                    done: true,
                    value: true,
                };
            },
        };
    },
}, override);
//# sourceMappingURL=context.js.map